%define po_package %{name}

Name:		mate-settings-daemon
Version:	1.4.0
Release:	1%{?dist}
Summary:	MATE Desktop settings daemon
License:	GPLv2+
URL:		http://mate-desktop.org
Source0:	http://vicodan.fedorapeople.org/mate-settings-daemon-1.4.0.tar.gz

BuildRequires:	clutter-gst-devel gcc-c++ icon-naming-utils mate-common mate-conf-devel mate-desktop-devel dbus-glib-devel gtk+-devel libmatekbd-devel libmatenotify-devel libxklavier-devel nss-devel polkit-devel

Requires(pre):	mate-conf
Requires(post):	mate-conf
Requires(preun):	mate-conf

%description
mate settings daemon

%package devel
Summary:	Development files for mate-settings-daemon
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for mate-panel

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh


%build
%configure --disable-static --enable-polkit --enable-gstreamer --enable-profiling
make %{?_smp_mflags}


%install
export MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=%{buildroot} install
%find_lang %{po_package}
find %{buildroot} -name '*.la' -exec rm -rf {} ';'
find %{buildroot} -name '*.a' -exec rm -rf {} ';'

%pre
if [ "$1" -gt 1 ] ; then
export MATECONF_CONFIG_SOURCE="xml:merged:/etc/mateconf/mateconf.xml.defaults"
        mateconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/mateconf/schemas/*.schemas
        > /dev/null || :
fi


%post
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :
export MATECONF_CONFIG_SOURCE="xml:merged:/etc/mateconf/mateconf.xml.defaults"
        mateconftool-2 --makefile-install-rule  \
        %{_sysconfdir}/mateconf/schemas/*.schemas       \
        > /dev/null || :
%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :
export MATECONF_CONFIG_SOURCE="xml:merged:/etc/mateconf/mateconf.xml.defaults"
        mateconftool-2 --makefile-uninstall-rule        \
        %{_sysconfdir}/mateconf/schemas/*.schemas       \
        > /dev/null || :

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{po_package}.lang
%doc AUTHORS COPYING README
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.mate.SettingsDaemon.DateTimeMechanism.conf
%config(noreplace) %{_sysconfdir}/mateconf/schemas/apps_mate_settings_daemon_housekeeping.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/apps_mate_settings_daemon_keybindings.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/apps_mate_settings_daemon_xrandr.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_font_rendering.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_keybindings.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_peripherals_smartcard.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_peripherals_touchpad.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/mate-settings-daemon.schemas
%config(noreplace) %{_sysconfdir}/xdg/autostart/mate-settings-daemon.desktop
%{_libdir}/mate-settings-daemon-1.4.0/a11y-keyboard.mate-settings-plugin
%{_libdir}/mate-settings-daemon-1.4.0/clipboard.mate-settings-plugin
%{_libdir}/mate-settings-daemon-1.4.0/font.mate-settings-plugin
%{_libdir}/mate-settings-daemon-1.4.0/housekeeping.mate-settings-plugin
%{_libdir}/mate-settings-daemon-1.4.0/keybindings.mate-settings-plugin
%{_libdir}/mate-settings-daemon-1.4.0/keyboard.mate-settings-plugin
%{_libdir}/mate-settings-daemon-1.4.0/media-keys.mate-settings-plugin
%{_libdir}/mate-settings-daemon-1.4.0/mouse.mate-settings-plugin
%{_libdir}/mate-settings-daemon-1.4.0/smartcard.mate-settings-plugin
%{_libdir}/mate-settings-daemon-1.4.0/sound.mate-settings-plugin
%{_libdir}/mate-settings-daemon-1.4.0/typing-break.mate-settings-plugin
%{_libdir}/mate-settings-daemon-1.4.0/xrandr.mate-settings-plugin
%{_libdir}/mate-settings-daemon-1.4.0/xrdb.mate-settings-plugin
%{_libdir}/mate-settings-daemon-1.4.0/xsettings.mate-settings-plugin
%{_libexecdir}/mate-settings-daemon
%{_libexecdir}/msd-datetime-mechanism
%{_libexecdir}/msd-locate-pointer
%{_datadir}/dbus-1/services/org.mate.SettingsDaemon.service
%{_datadir}/dbus-1/system-services/org.mate.SettingsDaemon.DateTimeMechanism.service
%{_datadir}/icons/mate/16x16/actions/*.png
%{_datadir}/icons/mate/16x16/apps/*.png
%{_datadir}/icons/mate/22x22/actions/*.png
%{_datadir}/icons/mate/22x22/apps/*.png
%{_datadir}/icons/mate/24x24/actions/*.png
%{_datadir}/icons/mate/24x24/apps/*.png
%{_datadir}/icons/mate/32x32/actions/*.png
%{_datadir}/icons/mate/32x32/apps/*.png
%{_datadir}/icons/mate/scalable/actions/touchpad-disabled.svg
%{_datadir}/icons/mate/scalable/actions/touchpad-enabled.svg
%{_datadir}/icons/mate/scalable/apps/msd-xrandr.svg
%{_datadir}/mate-control-center/keybindings/50-accessibility.xml
%{_datadir}/mate-settings-daemon/
%{_datadir}/polkit-1/actions/org.mate.settingsdaemon.datetimemechanism.policy

%files devel
%{_includedir}/mate-settings-daemon/
%{_libdir}/mate-settings-daemon-1.4.0/liba11y-keyboard.so
%{_libdir}/mate-settings-daemon-1.4.0/libclipboard.so
%{_libdir}/mate-settings-daemon-1.4.0/libfont.so
%{_libdir}/mate-settings-daemon-1.4.0/libhousekeeping.so
%{_libdir}/mate-settings-daemon-1.4.0/libkeybindings.so
%{_libdir}/mate-settings-daemon-1.4.0/libkeyboard.so
%{_libdir}/mate-settings-daemon-1.4.0/libmedia-keys.so
%{_libdir}/mate-settings-daemon-1.4.0/libmouse.so
%{_libdir}/mate-settings-daemon-1.4.0/libsmartcard.so
%{_libdir}/mate-settings-daemon-1.4.0/libsound.so
%{_libdir}/mate-settings-daemon-1.4.0/libtyping-break.so
%{_libdir}/mate-settings-daemon-1.4.0/libxrandr.so
%{_libdir}/mate-settings-daemon-1.4.0/libxrdb.so
%{_libdir}/mate-settings-daemon-1.4.0/libxsettings.so
%{_libdir}/pkgconfig/mate-settings-daemon.pc

%changelog
* Sat Sep 01 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-1
- Initial build
